Subject: Re: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: martin rudalics <[email-masked]>
Date: Sat, 21 Dec 2013 18:13:25 +0100

> I don't think it's important, certainly not extremely important.  You
 > can hang Emacs with as little as '(while t)'.  Users who do
 > unreasonable things should expect trouble, because Emacs gives them a
 > lot of rope to hang themselves.

If I do drag _very_ fast as described by the OP, Emacs reliably crashes
here as:

#0  terminate_due_to_signal (sig=22, backtrace_limit=2147483647) at emacs.c:351
#1  0x0116400a in die (msg=0x14763e0 "row >= 0 && row < matrix->nrows", file=0x147618c "dispnew.c", line=1369) at alloc.c:6742
#2  0x01004ed3 in matrix_row (matrix=0x36e2800, row=7) at dispnew.c:1369
#3  0x01040eaa in hscroll_window_tree (window=...) at xdisp.c:12610
#4  0x01041398 in hscroll_windows (window=...) at xdisp.c:12737
#5  0x010437bd in redisplay_internal () at xdisp.c:13631
#6  0x01044126 in redisplay_preserve_echo_area (from_where=11) at xdisp.c:13856
#7  0x011cd0f5 in wait_reading_process_output (time_limit=30, nsecs=0, read_kbd=-1, do_display=true, wait_for_cell=..., wait_proc=0x0, just_wait_proc=0) at process.c:4528
#8  0x0100eef8 in sit_for (timeout=..., reading=true, display_option=1) at dispnew.c:5801
#9  0x010f7e19 in read_char (commandflag=1, map=..., prev_event=..., used_mouse_menu=0x82f7ef, end_time=0x0) at keyboard.c:2802
#10 0x01104dcd in read_key_sequence (keybuf=0x82f8e4, bufsize=30, prompt=..., dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9071
#11 0x010f5109 in command_loop_1 () at keyboard.c:1445
#12 0x0117ef24 in internal_condition_case (bfun=0x10f4d84 <command_loop_1>, handlers=..., hfun=0x10f45ef <cmd_error>) at eval.c:1344
#13 0x010f4a37 in command_loop_2 (ignore=...) at keyboard.c:1170
#14 0x0117e4d8 in internal_catch (tag=..., func=0x10f4a13 <command_loop_2>, arg=...) at eval.c:1108
#15 0x010f49f1 in command_loop () at keyboard.c:1149
#16 0x010f418b in recursive_edit_1 () at keyboard.c:777
#17 0x010f4348 in Frecursive_edit () at keyboard.c:841
#18 0x010f2522 in main (argc=2, argv=0xa32840) at emacs.c:1634

Lisp Backtrace:
"redisplay_internal (C function)" (0x152db1c)

I can't reproduce the crash with the toolbar turned off.

martin